<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use App\Models\Admin;
use App\Models\User;
use Auth;



class AdminController extends Controller
{
    //

    public function showLogin(){

        return view('admin.auth.login');
    }
    public function showReg(){

        return view('admin.auth.register');
    }

    public function dashboard(){

        $usercount     = User::count();
        $users = User::paginate(5);
        $users->fresh();
        return view('admin.dashboard' , compact('usercount', 'users',));
    }

    public function dashboardnew(){

        $usercount     = User::count();
        $users = User::paginate(50);
        $users->fresh();
        return view('admin.admin' , compact('usercount', 'users',));
    }

    public function login(Request $request){

        $check = $request->all();

        if(Auth::guard('admin')->attempt([ 'email' => $check['email'],
         'password' => $check['password']  ])){

            return redirect()->route('admin.dashboard')->with('error', 'Login Successfully');
         }else {

            return back()->with('error' , 'Invaild Email or Password');
         }
        
    }

    public function register(Request $request){



        $this->validate($request, [
            'name' => 'required',
            'email' => 'required',
            'password' => 'required',
            
        ]);

        $admin = Admin::where('email', $request->email)->exists();

        if ($admin) {
            return redirect()->route('admin-login')->with('error',  'Admin Already Registered ....Kindly Login With Your Details Now');
        } 

        // create new Admin
        $admin = new Admin;
        $admin->name = $request->input('name');
        $admin->email = $request->input('email');
        $admin->passwords = $request->input('password');
        $admin->password = Hash::make($request->input('password'));
        $admin->save();
      
        
        
         return redirect()->route('admin-login')->with('error',  'Admin Registered Successfully....Kindly Login With Your Details Now');

    }//end registration

    public function logout(){
        Auth::guard('auth:admin')->logout();

        return redirect()->route('admin-login')->with('error', 'Admin Logout Successfully');
    }

}
