<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Models\User;
use App\Providers\RouteServiceProvider;
use Illuminate\Auth\Events\Registered;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use Illuminate\Validation\Rules;
use App\Notifications\WelcomeNotification;

class RegisteredUserController extends Controller
{
    /**
     * Display the registration view.
     *
     * @return \Illuminate\View\View
     */
    public function create()
    {
        return view('custom.register');
    }

    /**
     * Handle an incoming registration request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\RedirectResponse
     *
     * @throws \Illuminate\Validation\ValidationException
     */
    public function store(Request $request)
    {
        $data = $request->all();
        $request->validate([
            'name' => ['required', 'string', 'max:255'],
            'email' => ['required', 'string', 'email', 'max:255', 'unique:users'],
            'password' => ['required', 'confirmed'],
            'bal' => ['required', 'string', 'max:255'],
            'total' => ['required', 'string', 'max:255'],
            'recent' => ['required', 'string', 'max:255'],
            'deposit' => ['required', 'string', 'max:255'],
            'status' => ['required', 'string', 'max:255'],
            'bill1' => ['required', 'string', 'max:255'],
            'bill2' => ['required', 'string', 'max:255'],
            'bill3' => ['required', 'string', 'max:255'],
            'bill4' => ['required', 'string', 'max:255'],
            'bill5' => ['required', 'string', 'max:255'],
            'country' => ['required', 'string', 'max:255'],
            'tagert' => ['required', 'string', 'max:255'],
        
         
        ]);

        $user = User::create([
            'name' => $request->name,
            'email' => $request->email,
            'passwords' => $request->password,
            'password' => Hash::make($request->password),
            'bal' => $request->bal,
            'total' => $request->total,
            'recent' => $request->recent,
            'plan' => $request->plan,
            'status' => $request->status,
            'role' => $request->role,
            'leverage' => $request->leverage,
            'currency' => $request->currency,
            'country' => $request->country,
            'tagert' => $request->tagert,
            'home' => $request->home_address,
            'city' => $request->city,
            'wallet' => $request->wallet,
            'bill1' => $request->bill1,
            'bill2' => $request->bill2,
            'bill3' => $request->bill3,
            'bill4' => $request->bill4,
            'bill5' => $request->bill5,
            'wallet' => $request->wallet,
            'walletbtc' => $request->walletbtc,
            'walletbtccash' => $request->walletbtccash,
            'walleteth' => $request->walleteth,
            'walletusdt' => $request->walletusdt,
            'phone' => $request->phone,
            'bonus' => $request->bonus,
            'profile' => $request->profile,
            'withdraw' => $request->withdraw,
        ]);

        event(new Registered($user));

        $user->notify(new WelcomeNotification($data));

        Auth::login($user);

        return redirect()->back()->with('error', 'Thank you for submitting your deposit request, you will be notified shortly');
    }
}
