<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Comment;
use App\Notifications\TicketUpdateNotification;

class CommentController extends Controller
{
    public function store(Request $request)
    {
    	$request->validate([
            'body'=>'required',
        ]);
   
        $input = $request->all();
        $input['user_id'] = auth()->user()->id;
    
        Comment::create($input);
   
        return back();
    }

    public function update(Request $request)
    {
        $data = $request->all();
        
    	$request->validate([
            'body'=>'required',
        ]);
   
        $input = $request->all();
        $input['user_id'] = $request->input('user_id');;
    
        Comment::create($input);

        \Notification::route('mail', $request->input('email'))
            ->notify(new TicketUpdateNotification($data));
   
        return back()->with('error' , 'Ticket Updated succesfully');
    }

}
