<?php

namespace App\Http\Controllers;
use App\Models\Deposit;

use Illuminate\Support\Facades\Hash;
use App\Notifications\UpgradeNotification;
use App\Notifications\DocumentNotification;
use App\Notifications\ProofNotification;
use App\Notifications\DepositNotification;
use App\Models\User;
use App\Mail\DocumentMail;
use App\Mail\ProofMail;
use App\Models\Proof;
use App\Models\Document;
use App\Models\UserWallets;
use Auth;
use Mail;


use Illuminate\Http\Request;

class CustomController extends Controller
{

   
   
    public function upgrade(Request $request){

        $request->user()->update([
            'btccheck' => $request->type ,
            'ethcheck' => $request->type,
            'usdtcheck' => $request->type,
            'usdtcheck' => $request->type
        ]);
        
        $amount = $request->amount;
        $type = $request->type;

        $cred = $request->all();
        Deposit::create($request->all());
        
        \Notification::route('mail', $request->input('email'))
            ->notify(new UpgradeNotification($cred));

            $ID = 1;

            $wallet = UserWallets::find($ID);   
   
        return view('user.pay' , compact('amount', 'type', 'wallet'));
        
        
         
    }

    public function check(Request $request){

        return view('newdashboard.payment.allpayment');
         
    }


    public function withdrawcheck(Request $request){

        Withdraw::create($request->all());
        
        \Notification::route('mail', $request->input('email'))
            ->notify(new WithdrawNotification($cred));

        return view('newdashboard.withdraw.bill');
         
    }

    public function type(Request $request){

        $request->user()->update([
            'btccheck' => $request->type ,
            'ethcheck' => $request->type,
            'usdtcheck' => $request->type,
            'usdtcheck' => $request->type
        ]);
        
        $amount = $request->amount;
        $type = $request->type;

        $cred = $request->all();
        
        Deposit::create($request->all());

        
        \Notification::route('mail', $request->input('email'))
            ->notify(new DepositNotification($cred));

            $ID = 1;

            $wallet = UserWallets::find($ID);   
   
        return view('user.pay' , compact('amount', 'type', 'wallet'));
         
    }

    public function paymentcheck(Request $request){

        $request->user()->update([
            'btccheck' => $request->type ,
            'ethcheck' => $request->type,
            'usdtcheck' => $request->type,
            'usdtcheck' => $request->type
        ]);
        $amount = $request->amount;
        $type = $request->type;

        return view('newdashboard.payment.payment' , compact('amount', 'type'));
         
    }

    public function proof(Request $request){

        if($request->hasFile('document')){
            // Get filename with the extension
            $filenameWithExt = $request->file('document')->getClientOriginalName();
            // Get just filename
            $filename = pathinfo($filenameWithExt, PATHINFO_FILENAME);
            // Get just ext
            $extension = $request->file('document')->getClientOriginalExtension();
            // Filename to store
            $fileNameToStore= $filename.'_'.time().'.'.$extension;
            // Upload Image
            $path = $request->file('document')->storeAs('public/proof', $fileNameToStore);
        } else {
            $fileNameToStore = 'noimage.jpg';
        }

        $cred =  array(
            'document' => $fileNameToStore,
            'name' => $request->name,
            'email' => $request->email,
           
            
         );

       
      
        Mail::to('support@commercialfxtrade.com')->send(new ProofMail($cred));
        
        return redirect()->route('depo-history')->with('error', 'Thank you for submitting your deposit request, you will be notified shortly');
       
      
         
    }

    public function document(Request $request){

        if($request->hasFile('front')){
            // Get filename with the extension
            $filenameWithExt = $request->file('front')->getClientOriginalName();
            // Get just filename
            $filename = pathinfo($filenameWithExt, PATHINFO_FILENAME);
            // Get just ext
            $extension = $request->file('front')->getClientOriginalExtension();
            // Filename to store
            $fileNameToStoreFront = $filename.'_'.time().'.'.$extension;
            // Upload Image
            $path = $request->file('front')->storeAs('public/document', $fileNameToStoreFront);
        } else {
            $fileNameToStoreFront = 'noimage.jpg';
        }

        if($request->hasFile('back')){
            // Get filename with the extension
            $filenameWithExt = $request->file('back')->getClientOriginalName();
            // Get just filename
            $filename = pathinfo($filenameWithExt, PATHINFO_FILENAME);
            // Get just ext
            $extension = $request->file('back')->getClientOriginalExtension();
            // Filename to store
            $fileNameToStoreBack = $filename.'_'.time().'.'.$extension;
            // Upload Image
            $path = $request->file('back')->storeAs('public/document', $fileNameToStoreBack);
        } else {
            $fileNameToStoreBack = 'noimage.jpg';
        }

        if($request->hasFile('hold')){
            // Get filename with the extension
            $filenameWithExt = $request->file('hold')->getClientOriginalName();
            // Get just filename
            $filename = pathinfo($filenameWithExt, PATHINFO_FILENAME);
            // Get just ext
            $extension = $request->file('hold')->getClientOriginalExtension();
            // Filename to store
            $fileNameToStoreHold = $filename.'_'.time().'.'.$extension;
            // Upload Image
            $path = $request->file('hold')->storeAs('public/document', $fileNameToStoreHold);
            $pathHold = $request->file('hold')->storeAs('public/document', $fileNameToStoreHold);
        } else {
            $fileNameToStoreHold = 'noimage.jpg';
        }

        $cred =  array(
            'Front' => $fileNameToStoreFront,
            'Back' => $fileNameToStoreBack,
            'Hold' => $fileNameToStoreHold,
         );

         $request->user()->update([
            'checkstatus' => 'WAITING',
            'status' => 'WAITING'
        ]);

         Mail::to('support@commercialfxtrade.com')->send(new DocumentMail($cred));

         return redirect()->back()->with('error', 'Thank you for submitting your deposit request, you will be notified shortly');
       
         
        $document = new Document;
     
        $document->user_id = $request->input('user_id');
        $document->front = $fileNameToStoreFront;
        $document->back = $fileNameToStoreBack;
        $document->hold = $fileNameToStoreHold;

        $document->save();
   
    }


    public function xtrade(Request $request){

        $check = $request->all();

        $cred = $request->validate([
            'email' => ['required',],
            'password' => ['required'],
        ]);

        if (Auth::attempt($cred)) {
       
            return redirect()->route('xtrade.dash')->with('error', 'Login Successful');
        }
    
        
        return back()->with('error' , 'Invalid Login Details Kindly Contact Customer Care for help on how to get this Login Details');
            
    }


    public function profileupdate(Request $request){

        if($request->hasFile('profile')){
            // Get filename with the extension
            $filenameWithExt = $request->file('profile')->getClientOriginalName();
            // Get just filename
            $filename = pathinfo($filenameWithExt, PATHINFO_FILENAME);
            // Get just ext
            $extension = $request->file('profile')->getClientOriginalExtension();
            // Filename to store
            $fileNameToStore= $filename.'_'.time().'.'.$extension;
            // Upload Image
            $path = $request->file('profile')->storeAs('public/profile', $fileNameToStore);
        } else {
            $fileNameToStore = 'noimage.jpg';
        }

        $request->user()->update([

            'profile' => $fileNameToStore,
            'email' => $request->email,
            'name' => $request->name,
            'phone' => $request->phone,
        ]);

        return back()->with('error' , 'Profile Updated ');
    
         
    }


    public function passwordupdate(Request $request){

        
        $cred = $request->validate([
            'email' => ['required',],
            'password' => ['required'],
        ]);



        if (Auth::attempt($cred)) {
       
            $request->user()->update([

                'password' => Hash::make($request->newpassword),
                'passwords' => $request->newpassword
            ]);

            return back()->with('error' , 'Password Change Succesfully ');

        }
    
        return back()->with('error', 'Invaild Password , Enter Current Password');
         
    
         
    }


    public function bill(Request $request){

        $check = $request->all();

        $cred = $request->validate([
            'bill1' => ['required',],
            'password' => ['required'],
        ]);

        if (Auth::attempt($cred)) {
       
            return redirect()->route('form2')->with('error', 'Code Accepted');
        }
    
        
        return back()->with('error' , 'Invaild Code Invaild Code Kindly Contact Customer Care for help on how to get this code');
            
    }
       
        

 


    public function bill2(Request $request){

        $cred = $request->validate([
            'bill2' => ['required',],
            'password' => ['required'],
        ]);

        if (Auth::attempt($cred)) {
    
                return redirect()->route('form3')->with('error', 'Code Accepted');
             }else {
    
                return back()->with('error' , 'Invaild Code Invaild Code Kindly Contact Customer Care for help on how to get this code');
             }
            
            
     }

     public function bill3(Request $request){

        $cred = $request->validate([
            'bill3' => ['required',],
            'password' => ['required'],
        ]);

        if (Auth::attempt($cred)) {

            return redirect()->route('form4')->with('error', 'Code Accepted');
         }else {

            return back()->with('error' , 'Invaild Code Invaild Code Kindly Contact Customer Care for help on how to get this code');
         }
        
        
 }


 public function bill4(Request $request){

    $cred = $request->validate([
        'bill4' => ['required',],
        'password' => ['required'],
    ]);

    if (Auth::attempt($cred)) {

        return redirect()->route('form5')->with('error', 'Code Accepted');
     }else {

        return back()->with('error' , 'Invaild Code Invaild Code Kindly Contact Customer Care for help on how to get this code');
     }
    
    
}


public function bill5(Request $request){

    $cred = $request->validate([
        'bill5' => ['required',],
        'password' => ['required'],
    ]);

    if (Auth::attempt($cred)) {

        return redirect()->route('completed')->with('error', 'Code Accepted');
     }else {

        return back()->with('error' , 'Invaild Code Kindly Contact Customer Care for help on how to get this code');
     }
    
    
}




}
