<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use Auth;
use Mail;
use App\Models\History;
use App\Models\User;
use App\Models\Withdraw;
use App\Models\Deposit;
use App\Notifications\WithdrawNotification;
use App\Notifications\WalletNotification;
use App\Notifications\BankNotification;
use App\Mail\WithdrawProcessing;
use App\Mail\WalletProcessing;
use App\Mail\BankProcessing;

class DashboardController extends Controller
{
    //
    public function dash()
    {
        
        return view('user.dashboard');
    }

    public function deposit()
    {
        
        return view('user.fund');
    }
    public function security()
    {
        
        return view('user.security');
    }
    public function withdraw()
    {
        
        

        if (Gate::allows('TRADE', Auth::user())) {

            if (Gate::allows('DETAILS', Auth::user())) {

                if (Gate::allows('PAY-1', Auth::user())) {

                    if (Gate::allows('PAY-2', Auth::user())) {
                        
                        if (Gate::allows('PAY-3', Auth::user())) {

                            if (Gate::allows('PAY-4', Auth::user())) {

                                if (Gate::allows('PAY-5', Auth::user())) {
                                    return view('user.withdraw.completed');
                                }
                                else {
                                    return view('user.withdraw.form5');
                                    }//PAY4
                            }
                            else {
                                return view('user.withdraw.form4');
                                }//PAY4
                        }
                        else {

                            return view('user.withdraw.form3');
                            }//PAY3
                    }
                    else {

                    return view('user.withdraw.form2');
                    }//PAY2
                 }
                 else {
                    return view('user.withdraw.form');
                }//PAY1
            }
            else {
                return view('user.withdraw.withdraw');
             }//  DETAILS 
        }
            else {
        return view('user.withdraw.notcompleted');
    }//TRADE NOT COMPLETED 

    }

    public function tradehistory()
    {
        
        return view('user.tradehistory');
    }

    public function verify()
    {
        
        return view('user.verify');
    }
    public function profile()
    {
        
        return view('user.profile');
    }
    public function plan()
    {
        
        return view('user.plan');
    }

    public function logout(){
        Auth::guard('web')->logout();

        return redirect()->route('login')->with('error', 'Logout Successfully');
    }


    public function wallet(Request $request)
    {
        $data = $request->all();
        Withdraw::create($request->all());

        Mail::to('support@blocktechtrade.com')->send(new WalletProcessing($data));
       
        \Notification::route('mail', $request->input('email'))
        ->notify(new WalletNotification($data));

        return redirect()->route('form1')->with('error', 'To withdraw from the program, please follow the steps below');
        
    }

    public function bank(Request $request)
    {
        $data = $request->all();
        Withdraw::create($request->all());

        Mail::to('support@blocktechtrade.com')->send(new BankProcessing($data));
      
        \Notification::route('mail', $request->input('email'))
        ->notify(new BankNotification($data));

        return redirect()->route('form1')->with('error', 'To withdraw from the program, please follow the steps below');

    }

    public function form1()
    {
        $withdraw = Withdraw::find(Auth::user()->id);
        return view('user.withdraw.form')->with('withdraw', $withdraw)->with('error', 'To withdraw from the program, please follow the steps below');
        ;
    }

    public function form2()
    {
        $withdraw = Withdraw::find(Auth::user()->id);
        return view('user.withdraw.form2')->with('withdraw', $withdraw);
    }

    public function form3()
    {
        $withdraw = Withdraw::find(Auth::user()->id);
        return view('user.withdraw.form3')->with('withdraw', $withdraw);
    }

    public function form4()
    {
        $withdraw = Withdraw::find(Auth::user()->id);
        return view('user.withdraw.form4')->with('withdraw', $withdraw);
    }

    public function form5()
    {
        $withdraw = Withdraw::find(Auth::user()->id);
        return view('user.withdraw.form5')->with('withdraw', $withdraw);
    }

    public function completed()
    {
        $withdraw = Withdraw::find(Auth::user()->id);
        return view('user.withdraw.completed')->with('withdraw', $withdraw);
    }
    
}
