<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Deposit;
use App\Models\User;
use App\Notifications\DepositNotification;
use App\Notifications\DepositUpdateNotification;

class DepositController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $deposit = Deposit::all();
        return view('admin.deposit')->with('deposit' , $deposit);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
       
    }

    public function view($id)
    {
        $user = User::find($id);
        $deposit = Deposit::find($user) ;
        $user_id = $id;
        $depo = Deposit::with('user')->where('user_id', $user_id)->get();

        return view('admin.Deposit.view', compact('depo', ));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $cred = $request->all();
        Deposit::create($request->all());
        
        \Notification::route('mail', $request->input('email'))
            ->notify(new DepositNotification($cred));
        
        return redirect()->back()->with('error', 'Thank you for submitting your deposit request, you will be notified shortly');
       
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $deposit = Deposit::find($id);
        return view('admin.depositedit')->with('deposit', $deposit);

    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $cred = $request->all();
        
        $deposit = Deposit::find($id);
     
        $deposit->name = $request->input('name');

        $deposit->email = $request->input('email');
        $deposit->amount = $request->input('amount');
        $deposit->type = $request->input('type');
        $deposit->status = $request->input('status');
        
        
        $deposit->update();

        \Notification::route('mail', $request->input('email'))
            ->notify(new DepositUpdateNotification($cred));

        return redirect()->back()->with('error',  'Deposit Information Updated Successfully....');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $deposit = Deposit::find($id);
        $deposit->delete();
        return redirect()->back()->with('error',  'Deposit Information Deleted Successfully....');
    }
}
