<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Auth;
use App\Models\Ticket;
use App\Notifications\TicketOpenNotification;
use App\Notifications\TicketCloseNotification;

class TicketController extends Controller
{
    public function index(){

        $ticket = Ticket::all();
        return view('admin.ticket.dashboard')->with('ticket', $ticket);
    }

    public function create(){

        $ticket = Ticket::find(Auth::user()->id);
        return view('dashboard.ticket.create')->with('ticket', $ticket);
    }

    public function store(Request $request)
    {
        $data = $request->all();
        Ticket::create($request->all());
        
        \Notification::route('mail', $request->input('email'))
            ->notify(new TicketOpenNotification($data));
        
        return redirect()->back()->with('error', 'Your ticket request has been received. You will be contacted shortly.');
       
    }

    public function show($id){

        $ticket = Ticket::find($id);
        return view('dashboard.ticket.show')->with('ticket', $ticket);
    }

    public function edit($id){

        $ticket = Ticket::find($id);
        return view('admin.ticket.edit')->with('ticket', $ticket);
    }

    
    
}
