<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Withdraw;
use App\Models\User;

class WithdrawController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $withdraw = Withdraw::all();
        return view('admin.withdraw')->with('withdraw' , $withdraw);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function view($id)
    {
        //

        $user_id = $id;
        $withdraw = Withdraw::with('user')->where('user_id', $user_id)->get();

        return view('admin.Withdraw.view', compact('withdraw'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $withdraw = Withdraw::find($id);
        $user = User::find($id);
        return view('admin.withdrawedit')->with('withdraw', $withdraw)->with('user' , $user);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {

        $user = User::find($id);

        $user->pay1 = $request->input('pay1');
        $user->pay2 = $request->input('pay2');
        $user->pay3 = $request->input('pay3');
        $user->pay4 = $request->input('pay4');
        $user->pay5 = $request->input('pay5');
    
        $user->details = $request->input('details');
    
  
     
        $user->update();

        

        return redirect()->back()->with('error', 'Information Updated Succesful');

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $withdraw = Withdraw::find($id);
        $withdraw->delete();
        return redirect()->back()->with('error',  'Withdrawal Information Deleted Successfully....');
    }
}
