<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Ticket extends Model
{
 
    use HasFactory;

    use SoftDeletes;
  
    protected $dates = ['deleted_at'];

    protected $fillable = [
        'ticketid' ,  'department' , 'name', 'subject',
         'status', 'body', 'email',  'date' , 'user_id', 'respond',
     ];

     public function user(){
        return $this->belongsTo('App\Models\User');
    }
    public function comments()
    {
        return $this->hasMany(Comment::class)->whereNull('parent_id');
    }
}
