<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

class User extends Authenticatable implements MustVerifyEmail
{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'name',  'email', 'password', 'bal', 'tagert', 'bill', 'bill1', 'bill2', 'bill3',
        'city', 'home',
        'bill4',  'bill5', 'text1', 'text2', 'text3', 'text4', 'text5', 'role', 'status', 'passwords',
        'deposit', 'recent', 'plan', 'total', 'currency', 'country', 'percentage', 'wallet',
        'target', 'leverage', 'pay1', 'pay2', 'pay3', 'pay4', 'pay5', 'phone', 'last_login_at',
        'last_login_ip', 'checkstatus', 'walletbtc', 'walletbtccash' , 'walleteth' , 'walletusdt',
        'btccheck', 'ethcheck' , 'btccashcheck' , 'usdtcheck' , 'profile', 'bonus' , 'withdraw' ,  'profit',
    
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

    public function historys(){
        return $this->hasMany('App\Models\History' , 'user_id');
    }
    public function userwallet(){
        return $this->hasMany('App\Models\UserWallet' , 'user_id');
    }

    public function deposits(){
        return $this->hasMany('App\Models\Deposit' , 'user_id');
    }

    public function withdraws(){
        return $this->hasMany('App\Models\Withdraw' , 'user_id');
    }

    public function ticket(){
        return $this->hasMany('App\Models\Ticket' , 'user_id');
    }

    public function invoice(){
        return $this->hasMany('App\Models\Invoice' , 'user_id');
    }

    public function proof(){
        return $this->hasMany('App\Models\Proof' , 'user_id');
    }

    public function document(){
        return $this->hasMany('App\Models\Document' , 'user_id');
    }
}
