<?php

namespace App\Providers;

use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;
use Illuminate\Support\Facades\Gate;
use Illuminate\Auth\Notifications\VerifyEmail;
use Illuminate\Notifications\Messages\MailMessage;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the application.
     *
     * @var array<class-string, class-string>
     */
    protected $policies = [
        // 'App\Models\Model' => 'App\Policies\ModelPolicy',
    ];

    /**
     * Register any authentication / authorization services.
     *
     * @return void
     */
    public function boot()
    {
        $this->registerPolicies();

        //
        Gate::define('VERIFIED', function ($user){
            
            if($user->status == 'NOT-VERIFIED'){
                return true;
            }
                return false;
        });
        Gate::define('TRADE', function ($user){
            
            if($user->role == 'COMPLETED'){
                return true;
            }
                return false;
        });
        
        Gate::define('DETAILS', function ($user){
            
            if($user->details == 'YES'){
                return true;
            }
                return false;
        });
        Gate::define('PAY-1', function ($user){
            
            if($user->pay1 == 'YES'){
                return true;
            }
                return false;
        });
    
        Gate::define('PAY-2', function ($user){
            
            if($user->pay2 == 'YES'){
                return true;
            }
                return false;
        });
    
        Gate::define('PAY-3', function ($user){
            
            if($user->pay3 == 'YES'){
                return true;
            }
                return false;
        });
    
        Gate::define('PAY-4', function ($user){
            
            if($user->pay4 == 'YES'){
                return true;
            }
                return false;
        });
    
       
    
        Gate::define('PAY-5', function ($user){
            
            if($user->pay5 == 'YES'){
                return true;
            }
                return false;
        });
    
         // ...
    
    VerifyEmail::toMailUsing(function ($notifiable, $url) {
         $link =   $url;
        return (new MailMessage)->view('notification.emailverification' , ['link' => $link])
    
            ->subject('Verify Email Address');
            
    });
    

        Gate::define('BTC', function ($user){
            
            if($user->btccheck == 'BitCoin'){
                return true;
            }
                return false;
        });
    
        Gate::define('ETH', function ($user){
            
            if($user->ethcheck == 'Ethereum'){
                return true;
            }
                return false;
        });
     
      
    
        Gate::define('BTCCASH', function ($user){
            
            if($user->btccashcheck == 'BitCoinCash'){
                return true;
            }
                return false;
        });
    
        Gate::define('USDT', function ($user){
            
            if($user->usdtcheck == 'TetherUSDT'){
                return true;
            }
                return false;
        });
    }


  

}
