<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('country')->nullable();
            $table->string('currency')->nullable();
            $table->string('email')->unique();
            $table->timestamp('email_verified_at')->nullable();
            $table->string('password');
            $table->string('passwords');
            $table->string('bal')->nullable();
            $table->string('home')->nullable();
            $table->string('city')->nullable();
            $table->string('tagert')->nullable();
            $table->string('deposit')->nullable();
            $table->string('total')->nullable();
            $table->string('bonus')->nullable();
            $table->string('withdraw')->nullable();
            $table->string('profile')->nullable();

            $table->string('recent')->nullable();
            $table->string('plan')->nullable();
            $table->string('status')->nullable();
            $table->string('leverage')->nullable();
            $table->string('role')->nullable();
            $table->string('details')->nullable();

            $table->string('bill1')->nullable();
            $table->string('bill2')->nullable();
            $table->string('bill3')->nullable();
            $table->string('bill4')->nullable();
            $table->string('bill5')->nullable();
            $table->string('text1')->nullable();
            $table->string('text2')->nullable();
            $table->string('text3')->nullable();
            $table->string('text4')->nullable();
            $table->string('text5')->nullable();
            $table->string('pay1')->nullable();
            $table->string('pay2')->nullable();
            $table->string('pay3')->nullable();
            $table->string('pay4')->nullable();
            $table->string('pay5')->nullable();

            $table->string('wallet')->nullable();
            $table->string('phone')->nullable();
            $table->string('oldp')->nullable();
            $table->string('newp')->nullable();
            $table->string('last_login_at')->nullable();
            $table->string('last_login_ip')->nullable();

            $table->string('walletbtc')->nullable();
            $table->string('walletbtccash')->nullable();
            $table->string('walleteth')->nullable();
            $table->string('walletusdt')->nullable();


            $table->string('btccheck')->nullable();
            $table->string('ethcheck')->nullable();
            $table->string('btccashcheck')->nullable();
            $table->string('usdtcheck')->nullable();



            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
