<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTicketsCommentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tickets', function (Blueprint $table) {
            $table->id();
            $table->string('name')->nullable();
            $table->string('user_id')->nullable();
            $table->string('email')->nullable();
            $table->string('subject')->nullable();
            $table->string('ticketid')->nullable();
            $table->string('body')->nullable();
            $table->string('status')->nullable();
            $table->string('respond')->nullable();
            $table->string('department')->nullable();
            $table->timestamps();
            $table->softDeletes();
            
        });

        Schema::create('comments', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('user_id')->unsigned();
            $table->integer('ticket_id')->unsigned();
            $table->integer('parent_id')->unsigned()->nullable();
            $table->text('body');
            $table->text('name');
            $table->text('email')->nullable();
            $table->text('subject')->nullable();
            $table->text('ticketid')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    
    
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tickets');
        Schema::dropIfExists('comments');
    }
}
