@extends('layouts.admin')

@section('main')

@include('admin.layouts.nav')

<main class="h-full pb-16 overflow-y-auto">
    <div class="container grid px-6 mx-auto">
      
  
     
      <!-- With actions -->
      <h4
        class="my-6 text-2xl font-semibold text-gray-700 dark:text-gray-200"
      >
         ALL INVOICE FOR CLIENT
      </h4>
      <div class="w-full overflow-hidden rounded-lg shadow-xs">
        <div class="w-full overflow-x-auto">
          <table class="w-full whitespace-no-wrap">
            <thead>
              
              <tr
                class="text-xs font-semibold tracking-wide text-left text-gray-500 uppercase border-b dark:border-gray-700 bg-gray-50 dark:text-gray-400 dark:bg-gray-800"
              >
                <th class="px-4 py-3">Client</th>
                <th class="px-4 py-3">Amount</th>
                <th class="px-4 py-3">Subject</th>
                <th class="px-4 py-3">Date</th>
                <th class="px-4 py-3">Actions</th>
              </tr>
            </thead>
            <tbody
              class="bg-white divide-y dark:divide-gray-700 dark:bg-gray-800"
            >
            
            @foreach ($invoice as $invoice)
              <tr class="text-gray-700 dark:text-gray-400">
                <td class="px-4 py-3">
                  <div class="flex items-center text-sm">
                    <!-- Avatar with inset shadow -->
                    
                    <div>
                      <p class="font-semibold">{{$invoice->name}}</p>
                      
                      </p>
                    </div>
                  </div>
                </td>
                <td class="px-4 py-3 text-sm">
                    {{$invoice->currency}} - {{$invoice->amount}}
                </td>
                <td class="px-4 py-3 text-xs">
                  <span
                    class="px-2 py-1 font-semibold leading-tight text-green-700 bg-green-100 rounded-full dark:bg-green-700 dark:text-green-100"
                  >
                  {{$invoice->subject}}
                  </span>
                </td>
                <td class="px-4 py-3 text-sm">
                  {{$invoice->created_at}}
                </td>
                <td class="px-4 py-3">
                  <div class="flex items-center space-x-4 text-sm">
                    <a
                      class="flex items-center justify-between px-2 py-2 text-sm font-medium leading-5 text-purple-600 rounded-lg dark:text-gray-400 focus:outline-none focus:shadow-outline-gray"
                      aria-label="Edit"
                      href="{{ route('invoice.edit' , [$invoice->id])}}"
                    >
                      <svg
                        class="w-5 h-5"
                        aria-hidden="true"
                        fill="currentColor"
                        viewBox="0 0 20 20"
                      >
                        <path
                          d="M13.586 3.586a2 2 0 112.828 2.828l-.793.793-2.828-2.828.793-.793zM11.379 5.793L3 14.172V17h2.828l8.38-8.379-2.83-2.828z"
                        ></path>
                      </svg>
                    </a>
                    <form method="post" action="{{ route('invoice.destroy' , [$invoice->id])}}" >
                      @method('delete')
                      @csrf
                    <input
                      class="flex items-center justify-between px-2 py-2 text-sm font-medium leading-5 text-purple-600 rounded-lg dark:text-gray-400 focus:outline-none focus:shadow-outline-gray"
                      aria-label="Delete"
                      type="submit"
                      value="Delete invoicesit"
  
                    >
                      
                      
                    </a>
               </form>
                  </div>
                </td>
              </tr>
              @endforeach
                                
            </tbody>
          </table>
        </div>
        <div
          class="grid px-4 py-3 text-xs font-semibold tracking-wide text-gray-500 uppercase border-t dark:border-gray-700 bg-gray-50 sm:grid-cols-9 dark:text-gray-400 dark:bg-gray-800"
        >
          <span class="flex items-center col-span-3">
            Showing 
          </span>
          <span class="col-span-2"></span>
          <!-- Pagination -->
          <span class="flex col-span-4 mt-2 sm:mt-auto sm:justify-end">
            <nav aria-label="Table navigation">
  
               
                  
                
            </nav>
          </span>
        </div>
      </div>
    </div>
  </main>

  @endsection 